Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.43.0.
Erase the payloads of terminal runs
POST
/v1/retention
const url = 'https://example.com/v1/retention';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"before":"2026-04-15T12:00:00Z","limit":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/retention \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "before": "2026-04-15T12:00:00Z", "limit": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
before
required
string format: date-time
limit
required
integer
>= 1 <= 100
Example generated
{ "before": "2026-04-15T12:00:00Z", "limit": 1}Responses
Section titled “Responses”Authorized result
Media typeapplication/json
object
erased
required
integer
Example generated
{ "erased": 1}A problem: request.invalid, request.retention-invalid.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: request.invalid request.retention-invalid
Example
{ "code": "request.invalid", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: authentication.refused.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: authentication.refused
Example
{ "code": "authentication.refused", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}Headers
Section titled “Headers”WWW-Authenticate
string
Allowed value: Bearer
Bearer authentication challenge for missing or refused credentials.
A problem: operation.not-authorized.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: operation.not-authorized
Example
{ "code": "operation.not-authorized", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: request.method-not-allowed.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: request.method-not-allowed
Example
{ "code": "request.method-not-allowed", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: request.body-too-large.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: request.body-too-large
Example
{ "code": "request.body-too-large", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: request.unsupported-media-type.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: request.unsupported-media-type
Example
{ "code": "request.unsupported-media-type", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: runtime.failure.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: runtime.failure
Example
{ "code": "runtime.failure", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: audit.response-unavailable, service.unavailable.
Media typeapplication/problem+json
object
code
required
string
Allowed values: admission.held admission.recovery-only audit.response-unavailable authentication.refused binding.conflict binding.live-conflict definition.refused deployment.activation-changed deployment.refused evaluation.uncertain event.invalid event.source-unavailable event.too-large event.unauthenticated execution.held idempotency.key-invalid idempotency.key-reused input.invalid operation.not-authorized receipt.expired reconcile.raced reconcile.refused reconcile.unsupported request.body-too-large request.invalid request.limit-out-of-range request.method-not-allowed request.not-found request.reason-invalid request.retention-invalid request.unprocessable request.unsupported-media-type restore.hold-required restore.lease-incompatible restore.review-required restore.unresolved retry.refused run.definition-incompatible run.not-visible run.payload-erased runtime.failure service.unavailable workflow.not-served workflow.revision-mismatch
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
Allowed values: https://id.registrystack.org/problems/registry-coordinator/admission/held https://id.registrystack.org/problems/registry-coordinator/admission/recovery-only https://id.registrystack.org/problems/registry-coordinator/audit/response-unavailable https://id.registrystack.org/problems/registry-coordinator/authentication/refused https://id.registrystack.org/problems/registry-coordinator/binding/conflict https://id.registrystack.org/problems/registry-coordinator/binding/live-conflict https://id.registrystack.org/problems/registry-coordinator/definition/refused https://id.registrystack.org/problems/registry-coordinator/deployment/activation-changed https://id.registrystack.org/problems/registry-coordinator/deployment/refused https://id.registrystack.org/problems/registry-coordinator/evaluation/uncertain https://id.registrystack.org/problems/registry-coordinator/event/invalid https://id.registrystack.org/problems/registry-coordinator/event/source-unavailable https://id.registrystack.org/problems/registry-coordinator/event/too-large https://id.registrystack.org/problems/registry-coordinator/event/unauthenticated https://id.registrystack.org/problems/registry-coordinator/execution/held https://id.registrystack.org/problems/registry-coordinator/idempotency/key-invalid https://id.registrystack.org/problems/registry-coordinator/idempotency/key-reused https://id.registrystack.org/problems/registry-coordinator/input/invalid https://id.registrystack.org/problems/registry-coordinator/operation/not-authorized https://id.registrystack.org/problems/registry-coordinator/receipt/expired https://id.registrystack.org/problems/registry-coordinator/reconcile/raced https://id.registrystack.org/problems/registry-coordinator/reconcile/refused https://id.registrystack.org/problems/registry-coordinator/reconcile/unsupported https://id.registrystack.org/problems/registry-coordinator/request/body-too-large https://id.registrystack.org/problems/registry-coordinator/request/invalid https://id.registrystack.org/problems/registry-coordinator/request/limit-out-of-range https://id.registrystack.org/problems/registry-coordinator/request/method-not-allowed https://id.registrystack.org/problems/registry-coordinator/request/not-found https://id.registrystack.org/problems/registry-coordinator/request/reason-invalid https://id.registrystack.org/problems/registry-coordinator/request/retention-invalid https://id.registrystack.org/problems/registry-coordinator/request/unprocessable https://id.registrystack.org/problems/registry-coordinator/request/unsupported-media-type https://id.registrystack.org/problems/registry-coordinator/restore/hold-required https://id.registrystack.org/problems/registry-coordinator/restore/lease-incompatible https://id.registrystack.org/problems/registry-coordinator/restore/review-required https://id.registrystack.org/problems/registry-coordinator/restore/unresolved https://id.registrystack.org/problems/registry-coordinator/retry/refused https://id.registrystack.org/problems/registry-coordinator/run/definition-incompatible https://id.registrystack.org/problems/registry-coordinator/run/not-visible https://id.registrystack.org/problems/registry-coordinator/run/payload-erased https://id.registrystack.org/problems/registry-coordinator/runtime/failure https://id.registrystack.org/problems/registry-coordinator/service/unavailable https://id.registrystack.org/problems/registry-coordinator/workflow/not-served https://id.registrystack.org/problems/registry-coordinator/workflow/revision-mismatch
code
required
Allowed values: audit.response-unavailable service.unavailable
Example
{ "code": "audit.response-unavailable", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}Headers
Section titled “Headers”Retry-After
integer
>= 1
Whole seconds to wait before trying again.
Was this helpful?